@import './vars.css';

.header {
  background-color: var(--white);
  z-index: var(--zindex-navbar);
  font-family: var(--titleFont);

  & .top-row {
    border-bottom: 2px solid #F4F3F4;

    & .col {
      display: inline-block;
      float: left;
    }

    & .logo-section {
      padding-left: 15px;
      cursor: pointer;
      @media (--media-min-tablet) {
        margin-left: -15px;
        padding-left: 0;
      }
    }

    & .brand-nav {
      width: calc(100% - 160px);
      @media (--media-min-tablet) {
        width: calc(100% - 192px - 176px - 102px + 30px);
      }
      @media (--media-min-desktop) {
        width: calc(100% - 192px - 176px - 102px + 30px);
      }
      @media (--media-min-lg-desktop) {
        width: auto;
      }
    }

    & .pmc-user {
      float: right;
      min-width: 75px;
      margin-right: -15px;
      @media (--media-min-tablet) {
        float: left;
        width: 82px;
      }
      @media (--media-min-desktop) {
        width: 102px;
      }
    }

    & .ad-button {
      display: none;
      @media (--media-min-tablet) {
        display: inline-block;
        float: right;
        width: 190px;
        padding-right: 15px;
        margin-right: -15px;
        padding-right: 0;
      }
    }
  }

  & .bottom-row {
    height: 40px;
    border-bottom: 2px solid #F4F3F4;
    max-width: 100%;

    & > .container {
      padding-right: 0;
      overflow-x: auto;
      @media (--media-min-desktop) {
        overflow-x: visible;
      }
    }

    & .col {
      height: 100%;
      display: inline-block;
      float: left;
    }

    & .search {
      margin-left: -15px;
      width: 50px;
      position: absolute;
      background-color: #fff;
      height: 38px;
      z-index: 99;
      @media (--media-min-desktop) {
        position: relative;
      }
    }

    & .navigation {
      width: calc(100% - 38px);
      overflow: visible;
      white-space: nowrap;
      -webkit-overflow-scrolling: touch;
      -ms-overflow-style: -ms-autohiding-scrollbar;

      @media (--media-min-tablet) {
        width: calc(100% - 50px );
      }
      @media (--media-min-desktop) {
        width: calc(100% - 50px - 245px);
      }
    }

    & .mag-subscription {
      display: none;
      @media (--media-min-desktop) {
        width: 130px;
        display: inline-block;
      }
    }

    & .social-nav {
      display: none;
      @media (--media-min-desktop) {
        float: right;
        display: inline-block;
      }
    }
  }
}

.fonts-loaded {
  & .header {
    font-family: var(--titleFontLoaded);
  }
}


